/*
 * Copyright (C) 2009-2010 School of Computer Science, University of St Andrews. All rights reserved. Project Homepage:
 * http://blogs.cs.st-andrews.ac.uk/h2o H2O is free software: you can redistribute it and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. H2O
 * is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General
 * Public License along with H2O. If not, see <http://www.gnu.org/licenses/>.
 */
package org.h2o.locator.messages;

import java.util.List;

/**
 * @author Angus Macdonald (angus@cs.st-andrews.ac.uk)
 */
public class ReplicaLocationsResponse {

    private List<String> locations;

    private int updateCount;

    /**
     * @param locations
     * @param updateCount
     */
    public ReplicaLocationsResponse(List<String> locations, int updateCount) {

        super();
        this.locations = locations;
        this.updateCount = updateCount;
    }

    /**
     * @return the locations
     */
    public List<String> getLocations() {

        return locations;
    }

    /**
     * @return the updateCount
     */
    public int getUpdateCount() {

        return updateCount;
    }

    /*
     * (non-Javadoc)
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {

        return 31 + ((locations == null) ? 0 : locations.hashCode());
    }

    /*
     * (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj) {

        if (this == obj) return true;
        if (obj == null) return false;
        if (getClass() != obj.getClass()) return false;
        ReplicaLocationsResponse other = (ReplicaLocationsResponse) obj;
        if (locations == null) {
            if (other.locations != null) return false;
        }
        else if (!locations.equals(other.locations)) return false;
        return true;
    }

}
