/***************************************************************************
 *                                                                         *
 * nds Library                                                             *
 * Copyright (C) 2005-2010 Distributed Systems Architecture Research Group *
 * University of St Andrews, Scotland                                      *
 * http://www-systems.cs.st-andrews.ac.uk/                                 *
 *                                                                         *
 * This file is part of nds, a package of utility classes.                 *
 *                                                                         *
 * nds is free software: you can redistribute it and/or modify             *
 * it under the terms of the GNU General Public License as published by    *
 * the Free Software Foundation, either version 3 of the License, or       *
 * (at your option) any later version.                                     *
 *                                                                         *
 * nds is distributed in the hope that it will be useful,                  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 * GNU General Public License for more details.                            *
 *                                                                         *
 * You should have received a copy of the GNU General Public License       *
 * along with nds.  If not, see <http://www.gnu.org/licenses/>.            *
 *                                                                         *
 ***************************************************************************/
package uk.ac.standrews.cs.nds.p2p.interfaces;

/**
 * Abstraction over cryptographic hash functions.
 *
 * @author Graham Kirby (graham@cs.st-andrews.ac.uk)
 */
public interface IHash {

    /**
     * Generates the hash of the given data.
     *
     * @param data the data to be hashed
     * @return the result of hashing the data
     */
    byte[] hash(byte[] data);

    /**
     * Returns the fixed length of the hash digest in bytes.
     *
     * @return the fixed length of the hash digest in bytes
     */
    int getHashSize();
}
