/***************************************************************************
 *                                                                         *
 * nds Library                                                             *
 * Copyright (C) 2005-2010 Distributed Systems Architecture Research Group *
 * University of St Andrews, Scotland                                      *
 * http://www-systems.cs.st-andrews.ac.uk/                                 *
 *                                                                         *
 * This file is part of nds, a package of utility classes.                 *
 *                                                                         *
 * nds is free software: you can redistribute it and/or modify             *
 * it under the terms of the GNU General Public License as published by    *
 * the Free Software Foundation, either version 3 of the License, or       *
 * (at your option) any later version.                                     *
 *                                                                         *
 * nds is distributed in the hope that it will be useful,                  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 * GNU General Public License for more details.                            *
 *                                                                         *
 * You should have received a copy of the GNU General Public License       *
 * along with nds.  If not, see <http://www.gnu.org/licenses/>.            *
 *                                                                         *
 ***************************************************************************/
package uk.ac.standrews.cs.nds.util.test;

import uk.ac.standrews.cs.nds.util.IActionWithNoResult;

/**
 * Action waits for given period and signals completion.
 * 
 * @author Graham Kirby (graham@cs.st-andrews.ac.uk)
 */
class TestAction implements IActionWithNoResult {

    private final int delay_millis;

    protected TestAction(final int delay_millis) {

        this.delay_millis = delay_millis;
    }

    // Delay for the specified time and then signal completion.
    @Override
    public void performAction() {

        try {
            Thread.sleep(delay_millis);
        }
        catch (final InterruptedException e) { /* no action */
        }
    }
}
